#
# Cookbook Name:: zone2ldif
# Recipe:: default
#
# Copyright 2013, Gerald L. Hevener Jr., M.S.
#
# Install Perl.
include_recipe 'perl'

# Install wget/curl on arch
if node['platform_family'] == 'arch'
  %w{ wget curl }.each do |pkg|
    package pkg
  end
end

# Download zone2ldif.pl to /usr/local/bin.
template "/usr/local/bin/zone2ldif.pl" do
  source "zone2ldif.erb"
  owner node['zone2ldif']['user']
  group node['zone2ldif']['group']
  mode "0744"
  not_if "test -f /usr/local/bin/zone2ldif.pl"
end
